Package com.jangular.backend.repository

# Interface UserRepository

All Superinterfaces:
  `org.springframework.data.repository.CrudRepository<User,Long>`, `org.springframework.data.jpa.repository.JpaRepository<User,Long>`, `org.springframework.data.repository.ListCrudRepository<User,Long>`, `org.springframework.data.repository.ListPagingAndSortingRepository<User,Long>`, `org.springframework.data.repository.PagingAndSortingRepository<User,Long>`, `org.springframework.data.repository.query.QueryByExampleExecutor<User>`, `org.springframework.data.repository.Repository<User,Long>`

public interface UserRepository extends org.springframework.data.jpa.repository.JpaRepository<User,Long>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`existsByEmailAndIsDeletedFalse(String email)`
`boolean`
`existsByUsernameAndIsDeletedFalse(String username)`
`Optional<User>`
`findByEmailAndIsDeletedFalse(String email)`
`Optional<User>`
`findByIdAndIsDeletedFalse(Long id)`
`List<User>`
`findByIsActiveAndIsDeletedFalse(boolean isActive)`
`Optional<User>`
`findByUsername(String username)`
`Optional<User>`
`findByUsernameAndIsDeletedFalse(String username)`
`Optional<User>`
`findByUsernameAndIsDeletedFalseAndIsActive(String username, boolean isActive)`

### Methods inherited from interface org.springframework.data.repository.CrudRepository

`count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

`deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, flush, getById, getOne, getReferenceById, saveAllAndFlush, saveAndFlush`

### Methods inherited from interface org.springframework.data.repository.ListCrudRepository

`findAll, findAllById, saveAll`

### Methods inherited from interface org.springframework.data.repository.ListPagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

`count, exists, findAll, findBy, findOne`

## Method Details

### findByUsernameAndIsDeletedFalse

@EntityGraph(attributePaths="roles") Optional<User> findByUsernameAndIsDeletedFalse(String username)

### findByEmailAndIsDeletedFalse

@EntityGraph(attributePaths="roles") Optional<User> findByEmailAndIsDeletedFalse(String email)

### findByIdAndIsDeletedFalse

Optional<User> findByIdAndIsDeletedFalse(Long id)

### findByUsernameAndIsDeletedFalseAndIsActive

Optional<User> findByUsernameAndIsDeletedFalseAndIsActive(String username, boolean isActive)

### findByUsername

Optional<User> findByUsername(String username)

### findByIsActiveAndIsDeletedFalse

List<User> findByIsActiveAndIsDeletedFalse(boolean isActive)

### existsByUsernameAndIsDeletedFalse

boolean existsByUsernameAndIsDeletedFalse(String username)

### existsByEmailAndIsDeletedFalse

boolean existsByEmailAndIsDeletedFalse(String email)